#pragma once

#include <gp/algorithm/move.hpp>
#include <gp/algorithm/cvref.hpp>
#include <gp/algorithm/reference.hpp>

#include <type_traits>

namespace gp {



	template<typename F, typename ... Args>
	auto bind_front(F&& func, Args&&... arg_parent)
	{
		return [=](auto&&... argv){
			return func(arg_parent..., argv...);
		};
	}











}