#pragma once

#include <stddef.h>

namespace gp {
	struct allocator{
		virtual void* allocate(size_t) = 0;

		virtual bool deallocate(void*) = 0;

		virtual bool try_reallocate(void*, size_t) = 0;

		virtual ~allocator() = default;
	};
}